Bug 1286115 - When attempting to groupinstall "MATE Desktop" or mate-desktop receive transaction error.
When attempting to groupinstall "MATE Desktop" or mate-desktop receive transa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-desktop (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 06:05 EST by Alex Berry
Modified: 2015-12-30 13:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-30 13:18:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnf log bundle (1.28 MB, application/x-gzip)
2015-11-27 06:05 EST, Alex Berry
no flags Details

  None (edit)
Description Alex Berry 2015-11-27 06:05:24 EST
Created attachment 1099651 [details]
dnf log bundle

Description of problem:

When attempting to install MATE Desktop with either:

dnf groupinstall "MATE Desktop"

or

dnf groupinstall mate-desktop

(the both appear to resolve to a different set of packages)

I receive the following transaction error:

Error: Transaction check error:
  file /etc/xdg/menus/mate-preferences-categories.menu conflicts between attempted installs of mate-menus-preferences-category-menu-1.10.0-2.fc23.x86_64 and mate-control-center-1.12.0-2.fc23.x86_64

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1. dnf clean all
2. dnf groupinstall mate-desktop (results in error)
3. dnf groupremove mate-desktop (group must be removed as is left marked as installed)
4. dnf clean all (for sanity's sake, this may not be necessary but ensures the cache is not to blame
5. dnf groupinstall "MATE Desktop" (results in error)

Actual results:

Transaction error

Error: Transaction check error:
  file /etc/xdg/menus/mate-preferences-categories.menu conflicts between attempted installs of mate-menus-preferences-category-menu-1.10.0-2.fc23.x86_64 and mate-control-center-1.12.0-2.fc23.x86_64

Expected results:

Ability to install MATE Desktop


Additional info: Attached logs from dnf.
Comment 1 Wolfgang Ulbrich 2015-11-27 07:29:50 EST
Thank you for reporting this.
mate-menus-preferences-category-menu package is obsolete with with mate-1.12.
I forgot to remove it from groupinstall info (comps).
I've fixed it with https://git.fedorahosted.org/cgit/comps.git/commit/?id=f17a584708e58f953b29f9092d70f5e24a797d63
This group update should be available at servers in a few days.
Not shure how long it takes.

Sorry for this :-/
Comment 2 Alex Berry 2015-11-27 08:26:03 EST
Ok cool, I'll test the repo on monday :)
Comment 3 jpp650 2015-12-11 15:35:34 EST
As of today, 2015-12-11, this bug is affecting both Fedora 23 and Fedora 22 repositories. I´m just beginning to have bad thoughs about Fedora + Mate ...
Comment 4 Wolfgang Ulbrich 2015-12-11 16:02:10 EST
Without giving any information just a comment is pretty useless.
Try those updates
https://bodhi.fedoraproject.org/updates/FEDORA-2015-49d285b72c
https://bodhi.fedoraproject.org/updates/FEDORA-2015-31d65e4b05
Comment 5 jpp650 2015-12-11 17:01:05 EST
Yep, sorry. I will try those fix.
Thanks !

Note You need to log in before you can comment on or make changes to this bug.